FileControllerTouchFile Method (Guid, NullableGuid) |
PUT /File/Touch/
Updates the last modified time of files with the specified IDs.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Touch")]
public IActionResult TouchFile(
[FromBodyAttribute] Guid[] entryIds,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Touch")>
Public Function TouchFile (
<FromBodyAttribute> entryIds As Guid(),
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Touch")]
IActionResult^ TouchFile(
[FromBodyAttribute] array<Guid>^ entryIds,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Touch")>]
member TouchFile :
[<FromBodyAttribute>] entryIds : Guid[] *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- entryIds
- Type: SystemGuid
The IDs of the entries to update. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the session.
Return Value
Type:
IActionResult
A status code indicating success or the reason for failure.
See Also